Summary: A program for X11 protocol tracing
Name: xtrace
Version: 1.3.1
License: GPLv2
URL: http://xtrace.alioth.debian.org/

# Please set buildid below when building a private version of this rpm to
# differentiate it from the stock rpm.
#
# % global buildid .local

Release: 7%{?buildid}%{?dist}

Source0: ftp://ftp.debian.org/debian/pool/main/x/xtrace/xtrace_%{version}.orig.tar.gz

# Bring the sources up to the head of the git master branch.
Patch1: xtrace-1.3.1-git-HEAD.patch

# AM_CONFIG_HEADER() is obsolete - use AC_CONFIG_HEADERS instead.
Patch2: xtrace-1.3.1-use-AC_CONFIG_HEADERS.patch

BuildRequires: automake autoconf
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: xorg-x11-proto-devel

%description
What strace is for system calls, xtrace is for X11 connections:
you hook it between one or more X11 clients and an X server and
it prints the requests going from client to server and the replies,
events and errors going the other way.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
autoreconf -i
%configure

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/xtrace/*.proto
%{_mandir}/man1/*


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 David Howells <dhowells@redhat.com> - 1.3.1-5
- Use % global rather than % define.

* Wed Mar 26 2014 David Howells <dhowells@redhat.com> - 1.3.1-4
- AM_CONFIG_HEADER is obsolete - use AC_CONFIG_HEADERS instead.

* Wed Feb 26 2014 David Howells <dhowells@redhat.com> - 1.3.1-3
- Rename the patch that brings the source up to date with git.
- Include derivation information in the patch.
- Fixed up review comments on the specfile.

* Fri Feb 21 2014 David Howells <dhowells@redhat.com> - 1.3.1-2
- Fixed up review comments on the specfile.

* Thu Feb 20 2014 David Howells <dhowells@redhat.com> - 1.3.1-1
- Initial packaging.
- Apply new changes from git as a patch.
